> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.wealthatlas.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.wealthatlas.com/_mcp/server.

# Get enhancement progress

GET https://api.wealthatlas.com/v1/partners/enhancements/{enhancement_id}/progress

Get the progress for a single enhancement. Returns an equivalent enhancement state as is found from the multi-enhancement /enhancements/progress/batch route.

**Cost: Free.**

Reference: https://developer.wealthatlas.com/api-reference/enhance/get-enhancement-progress

## Authentication

- `x-api-key` header (required) — Your WealthAtlas API key. Contact support@wealthatlas.com to get started.

## Request

### Path parameters

- `enhancement_id` (string, required) — Enhancement ID

## Response

### 200

Successful Response

- `enhancement_state` (EnhancementState, required)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### EnhancementState

- `progress` (Progress, optional, nullable) — The progress of the enhancement, if our system is aware of it
- `error` (string, optional, nullable) — The error message, if there was an issue fetching the enhancement's state

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (ValidationErrorCtx, optional)

### Progress

- `status` (enum, required)
  - Allowed values: `queued`, `processing`, `completed`, `failed`
- `percent_complete` (integer, optional, nullable) — The percentage completion of the enhancement, if it's processing

### ValidationErrorLocItems

- string
- integer

### ValidationErrorCtx

## Examples

**Response**

```json
{
  "enhancement_state": {
    "progress": {
      "status": "processing",
      "percent_complete": 75
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.wealthatlas.com/v1/partners/enhancements/enhancement_id/progress")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```